TableGen: Allow ? in lists
ClosedPublic

Authored by nhaehnle on Mar 5 2018, 12:19 PM.

Details

Summary

This makes using !dag more convenient in some cases.

Change-Id: I0a8c35e15ccd1ecec778fd1c8d64eee38d74517c

Diff Detail

Repository
rL LLVM
nhaehnle created this revision.Mar 5 2018, 12:19 PM
tra accepted this revision.Mar 6 2018, 1:38 PM

One test nit. Perhaps should be fixed in a separate patch before this one. LGTM otherwise.

test/TableGen/dag-functional.td
11 ↗(On Diff #137059)

I assume we do care about the value of the dag ret, not just the fact that the record got defined. If so, I think there's a CHECK missing here and in the rest of the checks in the file.

This revision is now accepted and ready to land.Mar 6 2018, 1:38 PM
nhaehnle added inline comments.Mar 7 2018, 2:40 AM
test/TableGen/dag-functional.td
11 ↗(On Diff #137059)

Ooops, thanks for pointing that out! :)

Closed by commit rL327493: TableGen: Allow ? in lists (authored by nha, committed by ). · Explain WhyMar 14 2018, 4:03 AM
This revision was automatically updated to reflect the committed changes.